package com.heyu.api.data.dao.third;
/**
* <p>
* 第三方开发者信息配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.third.ThirdConfigInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ThirdConfigInfoDao extends BaseMapper<ThirdConfigInfoEntity> {


	ThirdConfigInfoEntity selectThirdConfigInfoById(@Param("id")Long id);


	Long insertThirdConfigInfo(ThirdConfigInfoEntity thirdConfigInfo);


	Long insertOrUpdateThirdConfigInfo(ThirdConfigInfoEntity thirdConfigInfo);


	int updateThirdConfigInfoById(ThirdConfigInfoEntity thirdConfigInfo);


	int updateCoverThirdConfigInfoById(ThirdConfigInfoEntity thirdConfigInfo);


	int deleteThirdConfigInfoById(@Param("id")Long id);


}